com.amazonaws.services.cloudfront.model

## Class StreamingDistributionConfig

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.StreamingDistributionConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class StreamingDistributionConfig
    extends Object
    implements Serializable, Cloneable

The RTMP distribution's configuration information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StreamingDistributionConfig()` Default constructor for StreamingDistributionConfig object.
`StreamingDistributionConfig(String callerReference, S3Origin s3Origin, Boolean enabled)` Constructs a new StreamingDistributionConfig object.

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamingDistributionConfig` `clone()`
`boolean` `equals(Object obj)`
`Aliases` `getAliases()` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`String` `getCallerReference()` A unique number that ensures that the request can't be replayed.
`String` `getComment()` Any comments you want to include about the streaming distribution.
`Boolean` `getEnabled()` Whether the streaming distribution is enabled to accept user requests for content.
`StreamingLoggingConfig` `getLogging()` A complex type that controls whether access logs are written for the streaming distribution.
`String` `getPriceClass()` A complex type that contains information about price class for this streaming distribution.
`S3Origin` `getS3Origin()` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`TrustedSigners` `getTrustedSigners()` A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content.
`int` `hashCode()`
`Boolean` `isEnabled()` Whether the streaming distribution is enabled to accept user requests for content.
`void` `setAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`void` `setCallerReference(String callerReference)` A unique number that ensures that the request can't be replayed.
`void` `setComment(String comment)` Any comments you want to include about the streaming distribution.
`void` `setEnabled(Boolean enabled)` Whether the streaming distribution is enabled to accept user requests for content.
`void` `setLogging(StreamingLoggingConfig logging)` A complex type that controls whether access logs are written for the streaming distribution.
`void` `setPriceClass(PriceClass priceClass)` A complex type that contains information about price class for this streaming distribution.
`void` `setPriceClass(String priceClass)` A complex type that contains information about price class for this streaming distribution.
`void` `setS3Origin(S3Origin s3Origin)` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`void` `setTrustedSigners(TrustedSigners trustedSigners)` A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StreamingDistributionConfig` `withAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
`StreamingDistributionConfig` `withCallerReference(String callerReference)` A unique number that ensures that the request can't be replayed.
`StreamingDistributionConfig` `withComment(String comment)` Any comments you want to include about the streaming distribution.
`StreamingDistributionConfig` `withEnabled(Boolean enabled)` Whether the streaming distribution is enabled to accept user requests for content.
`StreamingDistributionConfig` `withLogging(StreamingLoggingConfig logging)` A complex type that controls whether access logs are written for the streaming distribution.
`StreamingDistributionConfig` `withPriceClass(PriceClass priceClass)` A complex type that contains information about price class for this streaming distribution.
`StreamingDistributionConfig` `withPriceClass(String priceClass)` A complex type that contains information about price class for this streaming distribution.
`StreamingDistributionConfig` `withS3Origin(S3Origin s3Origin)` A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
`StreamingDistributionConfig` `withTrustedSigners(TrustedSigners trustedSigners)` A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamingDistributionConfig

    public StreamingDistributionConfig()

Default constructor for StreamingDistributionConfig object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### StreamingDistributionConfig

    public StreamingDistributionConfig(String callerReference,
                                       S3Origin s3Origin,
                                       Boolean enabled)

Constructs a new StreamingDistributionConfig object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `callerReference` - A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.
  `s3Origin` - A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
  `enabled` - Whether the streaming distribution is enabled to accept user requests for content.

### Method Detail

#### setCallerReference

    public void setCallerReference(String callerReference)

A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.

Parameters:
  `callerReference` - A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.

#### getCallerReference

    public String getCallerReference()

A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.

Returns:
  A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.

#### withCallerReference

    public StreamingDistributionConfig withCallerReference(String callerReference)

A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.

Parameters:
  `callerReference` - A unique number that ensures that the request can't be replayed. If the `CallerReference` is new (no matter the content of the `StreamingDistributionConfig` object), a new streaming distribution is created. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution, and the content of the `StreamingDistributionConfig` is identical to the original request (ignoring white space), the response includes the same information returned to the original request. If the `CallerReference` is a value that you already sent in a previous request to create a streaming distribution but the content of the `StreamingDistributionConfig` is different from the original request, CloudFront returns a `DistributionAlreadyExists` error.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3Origin

    public void setS3Origin(S3Origin s3Origin)

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Parameters:
  `s3Origin` - A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

#### getS3Origin

    public S3Origin getS3Origin()

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Returns:
  A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

#### withS3Origin

    public StreamingDistributionConfig withS3Origin(S3Origin s3Origin)

A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.

Parameters:
  `s3Origin` - A complex type that contains information about the Amazon S3 bucket from which you want CloudFront to get your media files for distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAliases

    public void setAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

#### getAliases

    public Aliases getAliases()

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Returns:
  A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

#### withAliases

    public StreamingDistributionConfig withAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComment

    public void setComment(String comment)

Any comments you want to include about the streaming distribution.

Parameters:
  `comment` - Any comments you want to include about the streaming distribution.

#### getComment

    public String getComment()

Any comments you want to include about the streaming distribution.

Returns:
  Any comments you want to include about the streaming distribution.

#### withComment

    public StreamingDistributionConfig withComment(String comment)

Any comments you want to include about the streaming distribution.

Parameters:
  `comment` - Any comments you want to include about the streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogging

    public void setLogging(StreamingLoggingConfig logging)

A complex type that controls whether access logs are written for the streaming distribution.

Parameters:
  `logging` - A complex type that controls whether access logs are written for the streaming distribution.

#### getLogging

    public StreamingLoggingConfig getLogging()

A complex type that controls whether access logs are written for the streaming distribution.

Returns:
  A complex type that controls whether access logs are written for the streaming distribution.

#### withLogging

    public StreamingDistributionConfig withLogging(StreamingLoggingConfig logging)

A complex type that controls whether access logs are written for the streaming distribution.

Parameters:
  `logging` - A complex type that controls whether access logs are written for the streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTrustedSigners

    public void setTrustedSigners(TrustedSigners trustedSigners)

A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Parameters:
  `trustedSigners` - A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

#### getTrustedSigners

    public TrustedSigners getTrustedSigners()

A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Returns:
  A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

#### withTrustedSigners

    public StreamingDistributionConfig withTrustedSigners(TrustedSigners trustedSigners)

A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.

Parameters:
  `trustedSigners` - A complex type that specifies any AWS accounts that you want to permit to create signed URLs for private content. If you want the distribution to use signed URLs, include this element; if you want the distribution to use public URLs, remove this element. For more information, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPriceClass

    public void setPriceClass(String priceClass)

A complex type that contains information about price class for this streaming distribution.

Parameters:
  `priceClass` - A complex type that contains information about price class for this streaming distribution.
See Also:
  `PriceClass`

#### getPriceClass

    public String getPriceClass()

A complex type that contains information about price class for this streaming distribution.

Returns:
  A complex type that contains information about price class for this streaming distribution.
See Also:
  `PriceClass`

#### withPriceClass

    public StreamingDistributionConfig withPriceClass(String priceClass)

A complex type that contains information about price class for this streaming distribution.

Parameters:
  `priceClass` - A complex type that contains information about price class for this streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setPriceClass

    public void setPriceClass(PriceClass priceClass)

A complex type that contains information about price class for this streaming distribution.

Parameters:
  `priceClass` - A complex type that contains information about price class for this streaming distribution.
See Also:
  `PriceClass`

#### withPriceClass

    public StreamingDistributionConfig withPriceClass(PriceClass priceClass)

A complex type that contains information about price class for this streaming distribution.

Parameters:
  `priceClass` - A complex type that contains information about price class for this streaming distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setEnabled

    public void setEnabled(Boolean enabled)

Whether the streaming distribution is enabled to accept user requests for content.

Parameters:
  `enabled` - Whether the streaming distribution is enabled to accept user requests for content.

#### getEnabled

    public Boolean getEnabled()

Whether the streaming distribution is enabled to accept user requests for content.

Returns:
  Whether the streaming distribution is enabled to accept user requests for content.

#### withEnabled

    public StreamingDistributionConfig withEnabled(Boolean enabled)

Whether the streaming distribution is enabled to accept user requests for content.

Parameters:
  `enabled` - Whether the streaming distribution is enabled to accept user requests for content.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Whether the streaming distribution is enabled to accept user requests for content.

Returns:
  Whether the streaming distribution is enabled to accept user requests for content.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StreamingDistributionConfig clone()

Overrides:
  `clone` in class `Object`